Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser
Interface ParserTreeConstants

All Known Implementing Classes:
  Parser

public interface ParserTreeConstants

Field Summary
`static int` | `JJTADDNODE`
`static int` | `JJTANDNODE`
`static int` | `JJTASSIGNMENT`
`static int` | `JJTBLOCK`
`static int` | `JJTCOMMENT`
`static int` | `JJTDIRECTIVE`
`static int` | `JJTDIVNODE`
`static int` | `JJTELSEIFSTATEMENT`
`static int` | `JJTELSESTATEMENT`
`static int` | `JJTEQNODE`
`static int` | `JJTESCAPE`
`static int` | `JJTESCAPEDDIRECTIVE`
`static int` | `JJTEXPRESSION`
`static int` | `JJTFALSE`
`static int` | `JJTGENODE`
`static int` | `JJTGTNODE`
`static int` | `JJTIDENTIFIER`
`static int` | `JJTIFSTATEMENT`
`static int` | `JJTINTEGERRANGE`
`static int` | `JJTLENODE`
`static int` | `JJTLTNODE`
`static int` | `JJTMETHOD`
`static int` | `JJTMODNODE`
`static int` | `JJTMULNODE`
`static int` | `JJTNENODE`
`static java.lang.String[]` | `jjtNodeName`
`static int` | `JJTNOTNODE`
`static int` | `JJTNUMBERLITERAL`
`static int` | `JJTOBJECTARRAY`
`static int` | `JJTORNODE`
`static int` | `JJTPROCESS`
`static int` | `JJTREFERENCE`
`static int` | `JJTSETDIRECTIVE`
`static int` | `JJTSTRINGLITERAL`
`static int` | `JJTSUBTRACTNODE`
`static int` | `JJTTEXT`
`static int` | `JJTTRUE`
`static int` | `JJTVOID`
`static int` | `JJTWORD`

Field Detail

### JJTPROCESS

    public static final int JJTPROCESS

### JJTVOID

    public static final int JJTVOID

### JJTESCAPEDDIRECTIVE

    public static final int JJTESCAPEDDIRECTIVE

### JJTESCAPE

    public static final int JJTESCAPE

### JJTCOMMENT

    public static final int JJTCOMMENT

### JJTNUMBERLITERAL

    public static final int JJTNUMBERLITERAL

### JJTSTRINGLITERAL

    public static final int JJTSTRINGLITERAL

### JJTIDENTIFIER

    public static final int JJTIDENTIFIER

### JJTWORD

    public static final int JJTWORD

### JJTDIRECTIVE

    public static final int JJTDIRECTIVE

### JJTBLOCK

    public static final int JJTBLOCK

### JJTOBJECTARRAY

    public static final int JJTOBJECTARRAY

### JJTINTEGERRANGE

    public static final int JJTINTEGERRANGE

### JJTMETHOD

    public static final int JJTMETHOD

### JJTREFERENCE

    public static final int JJTREFERENCE

### JJTTRUE

    public static final int JJTTRUE

### JJTFALSE

    public static final int JJTFALSE

### JJTTEXT

    public static final int JJTTEXT

### JJTIFSTATEMENT

    public static final int JJTIFSTATEMENT

### JJTELSESTATEMENT

    public static final int JJTELSESTATEMENT

### JJTELSEIFSTATEMENT

    public static final int JJTELSEIFSTATEMENT

### JJTSETDIRECTIVE

    public static final int JJTSETDIRECTIVE

### JJTEXPRESSION

    public static final int JJTEXPRESSION

### JJTASSIGNMENT

    public static final int JJTASSIGNMENT

### JJTORNODE

    public static final int JJTORNODE

### JJTANDNODE

    public static final int JJTANDNODE

### JJTEQNODE

    public static final int JJTEQNODE

### JJTNENODE

    public static final int JJTNENODE

### JJTLTNODE

    public static final int JJTLTNODE

### JJTGTNODE

    public static final int JJTGTNODE

### JJTLENODE

    public static final int JJTLENODE

### JJTGENODE

    public static final int JJTGENODE

### JJTADDNODE

    public static final int JJTADDNODE

### JJTSUBTRACTNODE

    public static final int JJTSUBTRACTNODE

### JJTMULNODE

    public static final int JJTMULNODE

### JJTDIVNODE

    public static final int JJTDIVNODE

### JJTMODNODE

    public static final int JJTMODNODE

### JJTNOTNODE

    public static final int JJTNOTNODE

### jjtNodeName

    public static final java.lang.String[] jjtNodeName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.